"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeActivityTypeInput_1 = require("../shapes/DescribeActivityTypeInput");
const DescribeActivityTypeOutput_1 = require("../shapes/DescribeActivityTypeOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeActivityType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeActivityType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeActivityTypeInput_1.DescribeActivityTypeInput
    },
    output: {
        shape: DescribeActivityTypeOutput_1.DescribeActivityTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DescribeActivityType.js.map