"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
const ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map