"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListOpenWorkflowExecutionsInput_1 = require("../shapes/ListOpenWorkflowExecutionsInput");
const ListOpenWorkflowExecutionsOutput_1 = require("../shapes/ListOpenWorkflowExecutionsOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListOpenWorkflowExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListOpenWorkflowExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListOpenWorkflowExecutionsInput_1.ListOpenWorkflowExecutionsInput
    },
    output: {
        shape: ListOpenWorkflowExecutionsOutput_1.ListOpenWorkflowExecutionsOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=ListOpenWorkflowExecutions.js.map