"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _WorkflowExecution_1 = require("./_WorkflowExecution");
const _WorkflowType_1 = require("./_WorkflowType");
const _HistoryEventList_1 = require("./_HistoryEventList");
exports.PollForDecisionTaskOutput = {
    type: "structure",
    required: [
        "taskToken",
        "startedEventId",
        "workflowExecution",
        "workflowType",
        "events"
    ],
    members: {
        taskToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startedEventId: {
            shape: {
                type: "integer"
            }
        },
        workflowExecution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        events: {
            shape: _HistoryEventList_1._HistoryEventList
        },
        nextPageToken: {
            shape: {
                type: "string"
            }
        },
        previousStartedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=PollForDecisionTaskOutput.js.map