"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ScheduleActivityTaskDecisionAttributes_1 = require("./_ScheduleActivityTaskDecisionAttributes");
const _RequestCancelActivityTaskDecisionAttributes_1 = require("./_RequestCancelActivityTaskDecisionAttributes");
const _CompleteWorkflowExecutionDecisionAttributes_1 = require("./_CompleteWorkflowExecutionDecisionAttributes");
const _FailWorkflowExecutionDecisionAttributes_1 = require("./_FailWorkflowExecutionDecisionAttributes");
const _CancelWorkflowExecutionDecisionAttributes_1 = require("./_CancelWorkflowExecutionDecisionAttributes");
const _ContinueAsNewWorkflowExecutionDecisionAttributes_1 = require("./_ContinueAsNewWorkflowExecutionDecisionAttributes");
const _RecordMarkerDecisionAttributes_1 = require("./_RecordMarkerDecisionAttributes");
const _StartTimerDecisionAttributes_1 = require("./_StartTimerDecisionAttributes");
const _CancelTimerDecisionAttributes_1 = require("./_CancelTimerDecisionAttributes");
const _SignalExternalWorkflowExecutionDecisionAttributes_1 = require("./_SignalExternalWorkflowExecutionDecisionAttributes");
const _RequestCancelExternalWorkflowExecutionDecisionAttributes_1 = require("./_RequestCancelExternalWorkflowExecutionDecisionAttributes");
const _StartChildWorkflowExecutionDecisionAttributes_1 = require("./_StartChildWorkflowExecutionDecisionAttributes");
const _ScheduleLambdaFunctionDecisionAttributes_1 = require("./_ScheduleLambdaFunctionDecisionAttributes");
exports._Decision = {
    type: "structure",
    required: ["decisionType"],
    members: {
        decisionType: {
            shape: {
                type: "string"
            }
        },
        scheduleActivityTaskDecisionAttributes: {
            shape: _ScheduleActivityTaskDecisionAttributes_1._ScheduleActivityTaskDecisionAttributes
        },
        requestCancelActivityTaskDecisionAttributes: {
            shape: _RequestCancelActivityTaskDecisionAttributes_1._RequestCancelActivityTaskDecisionAttributes
        },
        completeWorkflowExecutionDecisionAttributes: {
            shape: _CompleteWorkflowExecutionDecisionAttributes_1._CompleteWorkflowExecutionDecisionAttributes
        },
        failWorkflowExecutionDecisionAttributes: {
            shape: _FailWorkflowExecutionDecisionAttributes_1._FailWorkflowExecutionDecisionAttributes
        },
        cancelWorkflowExecutionDecisionAttributes: {
            shape: _CancelWorkflowExecutionDecisionAttributes_1._CancelWorkflowExecutionDecisionAttributes
        },
        continueAsNewWorkflowExecutionDecisionAttributes: {
            shape: _ContinueAsNewWorkflowExecutionDecisionAttributes_1._ContinueAsNewWorkflowExecutionDecisionAttributes
        },
        recordMarkerDecisionAttributes: {
            shape: _RecordMarkerDecisionAttributes_1._RecordMarkerDecisionAttributes
        },
        startTimerDecisionAttributes: {
            shape: _StartTimerDecisionAttributes_1._StartTimerDecisionAttributes
        },
        cancelTimerDecisionAttributes: {
            shape: _CancelTimerDecisionAttributes_1._CancelTimerDecisionAttributes
        },
        signalExternalWorkflowExecutionDecisionAttributes: {
            shape: _SignalExternalWorkflowExecutionDecisionAttributes_1._SignalExternalWorkflowExecutionDecisionAttributes
        },
        requestCancelExternalWorkflowExecutionDecisionAttributes: {
            shape: _RequestCancelExternalWorkflowExecutionDecisionAttributes_1._RequestCancelExternalWorkflowExecutionDecisionAttributes
        },
        startChildWorkflowExecutionDecisionAttributes: {
            shape: _StartChildWorkflowExecutionDecisionAttributes_1._StartChildWorkflowExecutionDecisionAttributes
        },
        scheduleLambdaFunctionDecisionAttributes: {
            shape: _ScheduleLambdaFunctionDecisionAttributes_1._ScheduleLambdaFunctionDecisionAttributes
        }
    }
};
//# sourceMappingURL=_Decision.js.map